claw::graphic::targa::writer::rle_targa_encoder< Pixel > Class Template Reference

RLE encoder for targa format. More...

`#include <targa.hpp>`

Inheritance diagram for claw::graphic::targa::writer::rle_targa_encoder< Pixel >:

## Public Types

typedef file_output_buffer< Pixel > | output_buffer_type
| Type of the output buffer.
Public Types inherited from claw::rle_encoder< file_output_buffer< Pixel > >
typedef file_output_buffer< Pixel > | output_buffer_type
| The type of the output buffer.
typedef output_buffer_type::pattern_type | pattern_type
| The type of the stored data.

## Additional Inherited Members

Public Member Functions inherited from claw::rle_encoder< file_output_buffer< Pixel > >
void | encode (Iterator first, Iterator last, output_buffer_type &output) const

## Detailed Description

template<typename Pixel>
class claw::graphic::targa::writer::rle_targa_encoder< Pixel >

RLE encoder for targa format.

Template parameters :

- Pixel, the type of the pixels in the file.

Author
  Julien Jorge

Definition at line 464 of file targa.hpp.

## Member Typedef Documentation

## output_buffer_type

template<typename Pixel>

typedef file_output_buffer<Pixel> claw::graphic::targa::writer::rle_targa_encoder< Pixel >::output_buffer_type

Type of the output buffer.

Definition at line 469 of file targa.hpp.

The documentation for this class was generated from the following file:

- targa.hpp